The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 9 posts ] 
Author Message
PostPosted: Thu Sep 29, 2011 4:58 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Sep 29, 2011 4:11 pm
Posts: 5
I have a test site with 1.7 on it and I am trying to find the proper import tools to import a copy of the original website (still in Joomla 1.0.15 format) into the new 1.7 one. We are not looking to change the original site in any way so upgrading is not what I am looking for. I have not found any import tools that say specifically they take a 1.0.15 website and put it into a 1.7 one. Has anyone successfully accomplished this or have any ideas? They are greatly appreciated. Thanks!


Top
 Profile  
 
PostPosted: Thu Sep 29, 2011 5:55 pm 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Thu Jan 17, 2008 3:17 pm
Posts: 165
A lot of the code is very different from Joomla 1.0.15 to Joomla 1.7. There are even major differences between Joomla 1.0.15 and Joomla 1.5.

I understand you don't want to make changes, but there isn't a way around. If you want your old site to be functional in Joomla 1.7, you need to upgrade.

Most components and modules for Joomla 1.0.x are no longer supported, and Joomla 1.0.x is being phased out.

You may want to check if your template is compatible with 1.5 and 1.7. If so, upgrading would be a little easier since your positions would be kept, and you wouldn't have to worry too much about changing the entire template.

I would suggest to backup and start upgrading to Joomla 1.5, and take it from there. It's a lot of work, but it'll be worth it. And you can always work on a subfolder of your website until the site is ready to launch, without affecting the live site.

http://docs.joomla.org/Upgrading_and_Mi ... ersion_1.0
http://docs.joomla.org/Migrating_from_J ... Joomla_1.6

Also, what are the reasons why you want to work on a 1.7 environment? Anything in particular? You may not need to.

_________________
www.theworldartistnetwork.org

If your question is answered and solves your problem, please edit your post and write -SOLVED at the end of your title so that others know where to find the answer. :)


Top
 Profile  
 
PostPosted: Thu Sep 29, 2011 6:39 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Sep 29, 2011 4:11 pm
Posts: 5
It is a work site that I am in charge of and the owner does not want to do anything with the original site or have it be taken down during the process until we test it on another site. We have a current site that has 1.7 on it and I just wanted to test importing the old site to the new one. There isn't any particular reason we need 1.7 except ours is so old and there is any support on it. I was trying to get it best ready for when the next person works on it-I didn't want them to have something realy outdated to start out with.


Top
 Profile  
 
PostPosted: Thu Sep 29, 2011 9:35 pm 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Thu Jan 17, 2008 3:17 pm
Posts: 165
You don't have to take the website down while you test the other one. As I mentioned, you can work on a subfolder (which is recommended in the upgrade links I posted before) and work on it until you get it to look the way the old one does.

I can understand the owner not wanting to affect the current site, but if he wants to keep it up-to-date, there's no other solution. Again, just remember you don't have to work on the live site, you can work on a subfolder and test it without changing the current site, until you have everything in shape.

If you are going to do the upgrade to 1.5 and then to 1.7, just make sure to select a template for 1.5 that will be compatible with 1.7 so that you only have to do minimal changes at that stage.

_________________
www.theworldartistnetwork.org

If your question is answered and solves your problem, please edit your post and write -SOLVED at the end of your title so that others know where to find the answer. :)


Top
 Profile  
 
PostPosted: Fri Sep 30, 2011 2:00 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Sep 29, 2011 4:11 pm
Posts: 5
Right, Thank you! Hopefully that is an easy process with not too many errors!


Top
 Profile  
 
PostPosted: Thu Oct 13, 2011 1:16 pm 
User avatar
Joomla! Hero
Joomla! Hero

Joined: Wed Oct 31, 2007 3:48 pm
Posts: 2809
Location: Victorian England 1885
Don't work on a copy within a subfolder, all the time we fix problems for people who have just wiped their main site when they thought they were working on a sub-folder installation.

Create a test site on a test chunk of hosting, it is easy, cheap and you only have to have it for the period of testing. When site is complete transfer over, one way or the other it is up to you. No confusion.

Don't upgrade to 1.7, there is no point. 1.5 is stable. If you have to upgrade then 1.5, followed by 2.5 some time in the far future.

_________________
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar


Top
 Profile  
 
PostPosted: Mon Nov 07, 2011 2:33 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Sep 29, 2011 4:11 pm
Posts: 5
Thankyou for your comments. I really appreciate all the help everyone is offering. We do have a test site of 1.7 (which from the sound of everything makes me think we should downgrade it to 1.5) and this test site is seperate from our website. I do not have an option to upgrade the actual site due to boss's orders so I have to find a way to recreate our website in a newer version of Joomla (hopefully without copying and pasting!) I have been unsuccessful in finding an export to work for our 1.0.15 version though.


Top
 Profile  
 
PostPosted: Mon Nov 07, 2011 2:37 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Sep 29, 2011 4:11 pm
Posts: 5
Also, our reasons for changing have increased within the last few weeks due to not being able to open, edit, or close certian modules, strange problems happening like public articles mysteriously not able to be seen by the public, and other issues. Some days I am afraid if I try anything more than simply updating text, that the whole old joomla will collapse on itself. I am assuming it is because the site has not had updates and is not supported that certain features simply do not continue to work!


Top
 Profile  
 
PostPosted: Mon Nov 07, 2011 3:01 pm 
User avatar
Joomla! Hero
Joomla! Hero

Joined: Wed Oct 31, 2007 3:48 pm
Posts: 2809
Location: Victorian England 1885
http://extensions.joomla.org/extensions ... ation/4054

This is a nice utility that will take all your content from 1.0 and import it into 1.5, download it now and keep it safe and ready.

Your boss is right, you absolutely mustn't upgrade the live site, you copy it, host a test env. elsewhere and then set about migrating the test environment in any way you choose.

_________________
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 9 posts ] 



Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group